Skip to main content
Resource Center/Hardware/Primary Storage Operations
GETPrimary Storage OperationsSince 3.1.0SynchronousAuth Required

GetPrimaryStorageCandidatesForVmMigration

GetPrimaryStorageCandidatesForVmMigration

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The VM instance UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Body Fields

  • primarystoragemigratevmObjectRequired

    primarystoragemigratevm request body object.

    • withDataVolumesboolean

      Optional. Migrates the VM instance with its data volumes.

    • migrateStorageOnlyboolean

      Optional. Specifies whether to migrate only across primary storage

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The detailed description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • totalPhysicalCapacityLongRequired

      总物理容量。

    • availablePhysicalCapacityLongRequired

      可用物理容量。

    • systemUsedCapacityLongRequired

      系统已使用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • mountPathStringRequired

      mount路径。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

Endpoint

GET/zstack/v1/vm-instances/{vmInstanceUuid}/storage-migration-candidates

/zstack/v1/vm-instances/{vmInstanceUuid}/storage-migration-candidates

Operation ID

GetPrimaryStorageCandidatesForVmMigration

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/storage-migration-candidates?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"primarystoragemigratevm":{"withDataVolumes":true,"migrateStorageOnly":true}}'

Response Example

200
{ "inventories": [ { "uuid": "19e075320ee9327182fcb82a8b0a078b", "name": "PS-1" } ] }

Change History

This API has no change history records yet.

View all change history